package org.ow2.orchestra.designer.bpmn.views.utils {

  /**
   *
   * Copyright (c) 2008 Noel Billig (www.dncompute.com)
   *
   * Permission is hereby granted, free of charge, to any person obtaining a copy
   * of this software and associated documentation files (the "Software"), to deal
   * in the Software without restriction, including without limitation the rights
   * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
   * copies of the Software, and to permit persons to whom the Software is
   * furnished to do so, subject to the following conditions:
   *
   * The above copyright notice and this permission notice shall be included in
   * all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   * THE SOFTWARE.
   *
   */

  /*
   * @param headWidth - if width is -1, the arrow is equilateral
   */
  public class ArrowStyle {

    public var headWidth:Number = -1; //Relative width of arrow head

    public var headLength:Number = 10; //Pixel Length of arrow head

    public var headFill:Boolean = true; // Fill the head

    public var color:uint = 0x000000; // arrow color. Defaults to black.

    public var thickness:Number = 0; // arrow line thickness

    public var isDefault:Boolean = false;
    public var isConditional:Boolean = false;
    public var isDashed:Boolean = false;
    public var isMessage:Boolean = false;

    public function ArrowStyle() {
    }

  }

}
